<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!'));

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>

<p class="nocomments"> <?php _e('This post is password protected. Enter the password to view comments.'); ?><p>
 
  <?php
	return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>
  <!-- You can start editing here. -->
  <?php if ($comments) : ?>
<h4 id="comments"><?php printf(__('%1$s to &#8220; %2$s &#8221;'), comments_number(__('No Responses'), __('One Response'), __('% Responses')), the_title('', '', false)); ?></h4>
<ol class="commentlist">
  <?php foreach ($comments as $comment) : ?>
  <li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
        <div style="float:right;margin:0px 0px 0px 10px;"><?php echo get_avatar( $comment, $size = '60' ); ?></div>
	<div class="commentmetadata">
    <span class="time"><a href="#comment-<?php comment_ID() ?>" title=""><?php printf(__('%1$s at %2$s '), get_comment_date(__('F jS, Y')), get_comment_time(__('g:i a'))); ?></a> </span>      
	<?php edit_comment_link('Edit', '<span class="edit">', '</span> '); ?>
	<span class="author"><?php printf(__('%1$s Says:'), comment_author_link()); ?></span>

      <?php if ($comment->comment_approved == '0') : ?>
      <em>
      <?php _e('Your comment is awaiting moderation.'); ?>
      </em>
      <?php endif; ?>
    </div>
	<?php comment_text() ?>
  </li>
  <?php /* Changes every other comment to a different class */
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>
  <?php endforeach; /* end for each comment */ ?>
</ol>
<?php else : // this is displayed if there are no comments so far ?>
<?php if ('open' == $post->comment_status) : ?>
<!-- If comments are open, but there are no comments. -->
<?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments">
  <?php _e('Comments are closed.'); ?>
</p>
<?php endif; ?>
<?php endif; ?>
<?php if ('open' == $post->comment_status) : ?>
<h3 id="respond">
  <?php _e('Leave a Reply'); ?>
</h3>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
$redirect_url = get_option('siteurl').'/wp-login.php?redirect_to='.get_permalink();
<p><?php printf(__('You must be <a href="%1$s">logged in</a> to post a comment.'), $redirect_url); ?></p>
<?php else : ?>
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
  <?php if ( $user_ID ) : ?>
  <p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?>&nbsp; <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">
    <?php _e('Logout &raquo;'); ?>
    </a></p>
  <?php else : ?>
  <p>
    <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
    <label for="author"><small>
    <?php if ($req) _e('Name (required)'); else _e('Name'); ?>
    </small></label>
  </p>
  <p>
    <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
    <label for="email"><small>
    <?php if ($req) _e('Mail (will not be published) (required)'); else _e('Mail (will not be published)'); ?>
    </small></label>
  </p>
  <p>
    <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
    <label for="url"><small>
    <?php _e('Website'); ?>
    </small></label>
  </p>
  <?php endif; ?>
  <!--<p><small><?php printf(__('<strong>XHTML:</strong> You can use these tags: <code>%1$s</code>'), allowed_tags()); ?></small></p>-->
  <p>
    <textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea>
  </p>
  <p>
    <input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment'); ?>" />
    <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
  </p>
  <?php do_action('comment_form', $post->ID); ?>
</form>
<?php endif; // If registration required and not logged in ?>
<?php endif; // if you delete this the sky will fall on your head ?>
