<?php get_header(); ?>
<div id="content">
<div id="main">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

<div class="post">
  	<h2 id="post-<?php the_ID(); ?>"> <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %1$s'), the_title('', '', false)); ?>"><?php the_title(); ?></a></h2>
	<p class="postmetadata">
		<span class="time"><?php the_time(__('F jS, Y')) ?></span>
        <span class="author"><?php the_author() ?></span>
		<span class="comment"><?php comments_popup_link(__('No Comments &#187;'), __('1 Comment &#187;'), __('% Comments &#187;'), '', __('Comments Off')); ?></span>
		<?php edit_post_link('Edit', '<span class="edit">', '</span> '); ?>
	</p>
  	<div class="entry">
<?php the_content_limit(80, __('(more...)')); ?>
		<div class="clearfix"></div>
	</div>
         	<p class="postmetadata">
        <span class="category"><?php _e('Posted in'); echo ' '; the_category(', ') ?> </span>
		<?php if(function_exists('the_tags')) { ?>
        <span class="tags"> <?php the_tags('', ', ', ''); ?> </span>
	</p><?php } ?>
	<!-- <?php trackback_rdf(); ?> -->
</div>
<?php endwhile; ?>
		<p class="navigation">
			<span class="previous"><?php next_posts_link(__('&laquo; Previous Entries')) ?></span>
			<span class="next"><?php previous_posts_link(__('Next Entries &raquo;')) ?></span>
		</p>
<?php else : ?>
<h2 class="center">
  <?php _e('Not Found'); ?>
</h2>
<p class="center">
  <?php _e('Sorry, but you are looking for something that isn&#8217;t here.'); ?>
</p>
<?php endif; ?>
</div> 
<?php get_sidebar(); ?>

<?php get_footer(); ?>
