
<div id="sidebar">
  <div id="tabs">
    <ul>
      <li><a href="#comm" title="<?php _e('Latest Comments'); ?>"><span>
        <?php _e('Comments'); ?>
        </span></a></li>
      <li><a href="#popular" title="<?php _e('Popular Stories'); ?>"><span>
        <?php _e('Popular'); ?>
        </span></a></li>
      <li><a href="#about" title="<?php _e('About'); ?>"><span>
        <?php _e('About'); ?>
        </span></a></li>
    </ul>
    <div id="comm">
      <ul class="sidebartabs">
        <?php mw_recent_comments(10, false, 35, 15, 35, 'all', ' <li>%date% <a href="%permalink%" title="%title%"><strong>%author_name%</strong></a><br /> u %title%</li>'); ?>
      </ul>
    </div>
    <!-- POPULAR (MOST COMMENTED POSTS) -->
    <div id="popular">
      <ul class="sidebartabs">
        <?php $result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 10");
	foreach ($result as $topten) {
	$postid = $topten->ID;
	$title = $topten->post_title;
	$commentcount = $topten->comment_count; 
	if ($commentcount != 0) { ?>
        <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a></li>
        <?php } } ?>
      </ul>
    </div>
    <div id="about">
<?php
query_posts('pagename=about'); //retrieves the about page only
?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<h3><?php the_title(); ?></h3>
    <?php the_content(__('(more...)')); ?>

<?php endwhile; endif; ?>
    </div>
  </div>
  <!-- end tabs -->
  <?php 	/* Widgetized sidebar, if you have the plugin installed. */ 
	if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
  <h3 class="noborder">
    <?php _e('Archives'); ?>
  </h3>
  <div class="archive">
    <?php include (TEMPLATEPATH . '/select.php'); ?>
  </div>
  <h3>
    <?php _e('User Menu'); ?>
  </h3>
  <ul class="sidebarmenu">
    <?php wp_register(); ?>
    <li>
      <?php wp_loginout(); ?>
    </li>
    <li><a href="http://gmpg.org/xfn/">
      <?php _e('<abbr title="XHTML Friends Network">XFN</abbr>'); ?>
      </a></li>
    <li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>">WordPress</a></li>
    <?php wp_meta(); ?>
  </ul>
  <h3>
    <?php _e('Blogroll'); ?>
  </h3>
  <ul class="sidebarmenu">
    <?php get_links('-1', '<li>', '</li>', '<br />', FALSE, 'id', FALSE, FALSE, -1, TRUE, TRUE); ?>
  </ul>
  <h3><?php _e('Popular Tags'); ?>
</h3>
<div id="tag_wrap">
<?php wp_tag_cloud('smallest=8&largest=22'); ?>
</div>
  <h3 class="noborder">
    <?php _e('Calendar'); ?>
  </h3>
  <div id="calendar_wrap">
    <?php get_calendar(true); ?>
  </div>
  <?php endif; ?>
</div>
<!-- end sidebar -->
